#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

static void ATL_dJIK48x8x48NN2x8x48_aX_bX
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=N, TB=N, MB=48, NB=8, KB=48, 
 * lda=0, ldb=0, ldc=0, mu=2, nu=8, ku=48, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   const double *stM = A + 48;
   const double *stN = B + (((ldb) << 3));
   const double *pfA = A + lda*M;
   const double BetaAlpha = beta / alpha;
   const int incAk = (lda);
   const int incAm = 2 - (((lda) << 5)+((lda) << 4)), incAn = -48;
   #define incBk 48
   const int incBm = -48, incBn = (((ldb) << 3));
   #define incCm 2
   const int incCn = (((ldc) << 3)) - 48;
   double *pC0=C, *pC1=pC0+(ldc), *pC2=pC1+(ldc), *pC3=pC2+(ldc), *pC4=pC3+(ldc), *pC5=pC4+(ldc), *pC6=pC5+(ldc), *pC7=pC6+(ldc);
   const double *pA0=A;
   const double *pB0=B, *pB1=pB0+(ldb), *pB2=pB1+(ldb), *pB3=pB2+(ldb), *pB4=pB3+(ldb), *pB5=pB4+(ldb), *pB6=pB5+(ldb), *pB7=pB6+(ldb);
   register int k;
   register double rA0, rA1;
   register double rB0, rB1, rB2, rB3, rB4, rB5, rB6, rB7;
   register double rC0_0, rC1_0, rC0_1, rC1_1, rC0_2, rC1_2, rC0_3, rC1_3, rC0_4, rC1_4, rC0_5, rC1_5, rC0_6, rC1_6, rC0_7, rC1_7;
   do /* M-loop */
   {
      rA0 = BetaAlpha;
      rC0_0 = *pC0;
      rC0_0 *= rA0;
      rC1_0 = pC0[1];
      rC1_0 *= rA0;
      rC0_1 = *pC1;
      rC0_1 *= rA0;
      rC1_1 = pC1[1];
      rC1_1 *= rA0;
      rC0_2 = *pC2;
      rC0_2 *= rA0;
      rC1_2 = pC2[1];
      rC1_2 *= rA0;
      rC0_3 = *pC3;
      rC0_3 *= rA0;
      rC1_3 = pC3[1];
      rC1_3 *= rA0;
      rC0_4 = *pC4;
      rC0_4 *= rA0;
      rC1_4 = pC4[1];
      rC1_4 *= rA0;
      rC0_5 = *pC5;
      rC0_5 *= rA0;
      rC1_5 = pC5[1];
      rC1_5 *= rA0;
      rC0_6 = *pC6;
      rC0_6 *= rA0;
      rC1_6 = pC6[1];
      rC1_6 *= rA0;
      rC0_7 = *pC7;
      rC0_7 *= rA0;
      rC1_7 = pC7[1];
      rC1_7 *= rA0;
      rA0 = *pA0;
      rB0 = *pB0;
      rA1 = pA0[1];
      rB1 = *pB1;
      rB2 = *pB2;
      rB3 = *pB3;
      rB4 = *pB4;
      rB5 = *pB5;
      rB6 = *pB6;
      rB7 = *pB7;
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[1];
      rA1 = pA0[1];
      rB1 = pB1[1];
      rB2 = pB2[1];
      rB3 = pB3[1];
      rB4 = pB4[1];
      rB5 = pB5[1];
      rB6 = pB6[1];
      rB7 = pB7[1];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[2];
      rA1 = pA0[1];
      rB1 = pB1[2];
      rB2 = pB2[2];
      rB3 = pB3[2];
      rB4 = pB4[2];
      rB5 = pB5[2];
      rB6 = pB6[2];
      rB7 = pB7[2];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[3];
      rA1 = pA0[1];
      rB1 = pB1[3];
      rB2 = pB2[3];
      rB3 = pB3[3];
      rB4 = pB4[3];
      rB5 = pB5[3];
      rB6 = pB6[3];
      rB7 = pB7[3];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[4];
      rA1 = pA0[1];
      rB1 = pB1[4];
      rB2 = pB2[4];
      rB3 = pB3[4];
      rB4 = pB4[4];
      rB5 = pB5[4];
      rB6 = pB6[4];
      rB7 = pB7[4];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[5];
      rA1 = pA0[1];
      rB1 = pB1[5];
      rB2 = pB2[5];
      rB3 = pB3[5];
      rB4 = pB4[5];
      rB5 = pB5[5];
      rB6 = pB6[5];
      rB7 = pB7[5];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[6];
      rA1 = pA0[1];
      rB1 = pB1[6];
      rB2 = pB2[6];
      rB3 = pB3[6];
      rB4 = pB4[6];
      rB5 = pB5[6];
      rB6 = pB6[6];
      rB7 = pB7[6];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[7];
      rA1 = pA0[1];
      rB1 = pB1[7];
      rB2 = pB2[7];
      rB3 = pB3[7];
      rB4 = pB4[7];
      rB5 = pB5[7];
      rB6 = pB6[7];
      rB7 = pB7[7];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[8];
      rA1 = pA0[1];
      rB1 = pB1[8];
      rB2 = pB2[8];
      rB3 = pB3[8];
      rB4 = pB4[8];
      rB5 = pB5[8];
      rB6 = pB6[8];
      rB7 = pB7[8];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[9];
      rA1 = pA0[1];
      rB1 = pB1[9];
      rB2 = pB2[9];
      rB3 = pB3[9];
      rB4 = pB4[9];
      rB5 = pB5[9];
      rB6 = pB6[9];
      rB7 = pB7[9];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[10];
      rA1 = pA0[1];
      rB1 = pB1[10];
      rB2 = pB2[10];
      rB3 = pB3[10];
      rB4 = pB4[10];
      rB5 = pB5[10];
      rB6 = pB6[10];
      rB7 = pB7[10];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[11];
      rA1 = pA0[1];
      rB1 = pB1[11];
      rB2 = pB2[11];
      rB3 = pB3[11];
      rB4 = pB4[11];
      rB5 = pB5[11];
      rB6 = pB6[11];
      rB7 = pB7[11];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[12];
      rA1 = pA0[1];
      rB1 = pB1[12];
      rB2 = pB2[12];
      rB3 = pB3[12];
      rB4 = pB4[12];
      rB5 = pB5[12];
      rB6 = pB6[12];
      rB7 = pB7[12];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[13];
      rA1 = pA0[1];
      rB1 = pB1[13];
      rB2 = pB2[13];
      rB3 = pB3[13];
      rB4 = pB4[13];
      rB5 = pB5[13];
      rB6 = pB6[13];
      rB7 = pB7[13];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[14];
      rA1 = pA0[1];
      rB1 = pB1[14];
      rB2 = pB2[14];
      rB3 = pB3[14];
      rB4 = pB4[14];
      rB5 = pB5[14];
      rB6 = pB6[14];
      rB7 = pB7[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[15];
      rA1 = pA0[1];
      rB1 = pB1[15];
      rB2 = pB2[15];
      rB3 = pB3[15];
      rB4 = pB4[15];
      rB5 = pB5[15];
      rB6 = pB6[15];
      rB7 = pB7[15];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[16];
      rA1 = pA0[1];
      rB1 = pB1[16];
      rB2 = pB2[16];
      rB3 = pB3[16];
      rB4 = pB4[16];
      rB5 = pB5[16];
      rB6 = pB6[16];
      rB7 = pB7[16];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[17];
      rA1 = pA0[1];
      rB1 = pB1[17];
      rB2 = pB2[17];
      rB3 = pB3[17];
      rB4 = pB4[17];
      rB5 = pB5[17];
      rB6 = pB6[17];
      rB7 = pB7[17];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[18];
      rA1 = pA0[1];
      rB1 = pB1[18];
      rB2 = pB2[18];
      rB3 = pB3[18];
      rB4 = pB4[18];
      rB5 = pB5[18];
      rB6 = pB6[18];
      rB7 = pB7[18];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[19];
      rA1 = pA0[1];
      rB1 = pB1[19];
      rB2 = pB2[19];
      rB3 = pB3[19];
      rB4 = pB4[19];
      rB5 = pB5[19];
      rB6 = pB6[19];
      rB7 = pB7[19];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[20];
      rA1 = pA0[1];
      rB1 = pB1[20];
      rB2 = pB2[20];
      rB3 = pB3[20];
      rB4 = pB4[20];
      rB5 = pB5[20];
      rB6 = pB6[20];
      rB7 = pB7[20];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[21];
      rA1 = pA0[1];
      rB1 = pB1[21];
      rB2 = pB2[21];
      rB3 = pB3[21];
      rB4 = pB4[21];
      rB5 = pB5[21];
      rB6 = pB6[21];
      rB7 = pB7[21];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[22];
      rA1 = pA0[1];
      rB1 = pB1[22];
      rB2 = pB2[22];
      rB3 = pB3[22];
      rB4 = pB4[22];
      rB5 = pB5[22];
      rB6 = pB6[22];
      rB7 = pB7[22];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[23];
      rA1 = pA0[1];
      rB1 = pB1[23];
      rB2 = pB2[23];
      rB3 = pB3[23];
      rB4 = pB4[23];
      rB5 = pB5[23];
      rB6 = pB6[23];
      rB7 = pB7[23];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[24];
      rA1 = pA0[1];
      rB1 = pB1[24];
      rB2 = pB2[24];
      rB3 = pB3[24];
      rB4 = pB4[24];
      rB5 = pB5[24];
      rB6 = pB6[24];
      rB7 = pB7[24];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[25];
      rA1 = pA0[1];
      rB1 = pB1[25];
      rB2 = pB2[25];
      rB3 = pB3[25];
      rB4 = pB4[25];
      rB5 = pB5[25];
      rB6 = pB6[25];
      rB7 = pB7[25];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[26];
      rA1 = pA0[1];
      rB1 = pB1[26];
      rB2 = pB2[26];
      rB3 = pB3[26];
      rB4 = pB4[26];
      rB5 = pB5[26];
      rB6 = pB6[26];
      rB7 = pB7[26];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[27];
      rA1 = pA0[1];
      rB1 = pB1[27];
      rB2 = pB2[27];
      rB3 = pB3[27];
      rB4 = pB4[27];
      rB5 = pB5[27];
      rB6 = pB6[27];
      rB7 = pB7[27];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[28];
      rA1 = pA0[1];
      rB1 = pB1[28];
      rB2 = pB2[28];
      rB3 = pB3[28];
      rB4 = pB4[28];
      rB5 = pB5[28];
      rB6 = pB6[28];
      rB7 = pB7[28];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[29];
      rA1 = pA0[1];
      rB1 = pB1[29];
      rB2 = pB2[29];
      rB3 = pB3[29];
      rB4 = pB4[29];
      rB5 = pB5[29];
      rB6 = pB6[29];
      rB7 = pB7[29];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[30];
      rA1 = pA0[1];
      rB1 = pB1[30];
      rB2 = pB2[30];
      rB3 = pB3[30];
      rB4 = pB4[30];
      rB5 = pB5[30];
      rB6 = pB6[30];
      rB7 = pB7[30];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[31];
      rA1 = pA0[1];
      rB1 = pB1[31];
      rB2 = pB2[31];
      rB3 = pB3[31];
      rB4 = pB4[31];
      rB5 = pB5[31];
      rB6 = pB6[31];
      rB7 = pB7[31];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[32];
      rA1 = pA0[1];
      rB1 = pB1[32];
      rB2 = pB2[32];
      rB3 = pB3[32];
      rB4 = pB4[32];
      rB5 = pB5[32];
      rB6 = pB6[32];
      rB7 = pB7[32];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[33];
      rA1 = pA0[1];
      rB1 = pB1[33];
      rB2 = pB2[33];
      rB3 = pB3[33];
      rB4 = pB4[33];
      rB5 = pB5[33];
      rB6 = pB6[33];
      rB7 = pB7[33];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[34];
      rA1 = pA0[1];
      rB1 = pB1[34];
      rB2 = pB2[34];
      rB3 = pB3[34];
      rB4 = pB4[34];
      rB5 = pB5[34];
      rB6 = pB6[34];
      rB7 = pB7[34];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[35];
      rA1 = pA0[1];
      rB1 = pB1[35];
      rB2 = pB2[35];
      rB3 = pB3[35];
      rB4 = pB4[35];
      rB5 = pB5[35];
      rB6 = pB6[35];
      rB7 = pB7[35];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[36];
      rA1 = pA0[1];
      rB1 = pB1[36];
      rB2 = pB2[36];
      rB3 = pB3[36];
      rB4 = pB4[36];
      rB5 = pB5[36];
      rB6 = pB6[36];
      rB7 = pB7[36];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[37];
      rA1 = pA0[1];
      rB1 = pB1[37];
      rB2 = pB2[37];
      rB3 = pB3[37];
      rB4 = pB4[37];
      rB5 = pB5[37];
      rB6 = pB6[37];
      rB7 = pB7[37];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[38];
      rA1 = pA0[1];
      rB1 = pB1[38];
      rB2 = pB2[38];
      rB3 = pB3[38];
      rB4 = pB4[38];
      rB5 = pB5[38];
      rB6 = pB6[38];
      rB7 = pB7[38];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[39];
      rA1 = pA0[1];
      rB1 = pB1[39];
      rB2 = pB2[39];
      rB3 = pB3[39];
      rB4 = pB4[39];
      rB5 = pB5[39];
      rB6 = pB6[39];
      rB7 = pB7[39];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[40];
      rA1 = pA0[1];
      rB1 = pB1[40];
      rB2 = pB2[40];
      rB3 = pB3[40];
      rB4 = pB4[40];
      rB5 = pB5[40];
      rB6 = pB6[40];
      rB7 = pB7[40];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[41];
      rA1 = pA0[1];
      rB1 = pB1[41];
      rB2 = pB2[41];
      rB3 = pB3[41];
      rB4 = pB4[41];
      rB5 = pB5[41];
      rB6 = pB6[41];
      rB7 = pB7[41];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[42];
      rA1 = pA0[1];
      rB1 = pB1[42];
      rB2 = pB2[42];
      rB3 = pB3[42];
      rB4 = pB4[42];
      rB5 = pB5[42];
      rB6 = pB6[42];
      rB7 = pB7[42];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[43];
      rA1 = pA0[1];
      rB1 = pB1[43];
      rB2 = pB2[43];
      rB3 = pB3[43];
      rB4 = pB4[43];
      rB5 = pB5[43];
      rB6 = pB6[43];
      rB7 = pB7[43];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[44];
      rA1 = pA0[1];
      rB1 = pB1[44];
      rB2 = pB2[44];
      rB3 = pB3[44];
      rB4 = pB4[44];
      rB5 = pB5[44];
      rB6 = pB6[44];
      rB7 = pB7[44];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[45];
      rA1 = pA0[1];
      rB1 = pB1[45];
      rB2 = pB2[45];
      rB3 = pB3[45];
      rB4 = pB4[45];
      rB5 = pB5[45];
      rB6 = pB6[45];
      rB7 = pB7[45];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[46];
      rA1 = pA0[1];
      rB1 = pB1[46];
      rB2 = pB2[46];
      rB3 = pB3[46];
      rB4 = pB4[46];
      rB5 = pB5[46];
      rB6 = pB6[46];
      rB7 = pB7[46];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      rA0 = *pA0;
      rB0 = pB0[47];
      rA1 = pA0[1];
      rB1 = pB1[47];
      rB2 = pB2[47];
      rB3 = pB3[47];
      rB4 = pB4[47];
      rB5 = pB5[47];
      rB6 = pB6[47];
      rB7 = pB7[47];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pA0 += incAk;
      pB0 += incBk;
      pB1 += incBk;
      pB2 += incBk;
      pB3 += incBk;
      pB4 += incBk;
      pB5 += incBk;
      pB6 += incBk;
      pB7 += incBk;
      rB0 = alpha;
      rC0_0 *= rB0;
      rC0_1 *= rB0;
      rC0_2 *= rB0;
      rC0_3 *= rB0;
      rC0_4 *= rB0;
      rC0_5 *= rB0;
      rC0_6 *= rB0;
      rC0_7 *= rB0;
      rC1_0 *= rB0;
      rC1_1 *= rB0;
      rC1_2 *= rB0;
      rC1_3 *= rB0;
      rC1_4 *= rB0;
      rC1_5 *= rB0;
      rC1_6 *= rB0;
      rC1_7 *= rB0;
      *pC0 = rC0_0;
      pC0[1] = rC1_0;
      *pC1 = rC0_1;
      pC1[1] = rC1_1;
      *pC2 = rC0_2;
      pC2[1] = rC1_2;
      *pC3 = rC0_3;
      pC3[1] = rC1_3;
      *pC4 = rC0_4;
      pC4[1] = rC1_4;
      *pC5 = rC0_5;
      pC5[1] = rC1_5;
      *pC6 = rC0_6;
      pC6[1] = rC1_6;
      *pC7 = rC0_7;
      pC7[1] = rC1_7;
      pC0 += incCm;
      pC1 += incCm;
      pC2 += incCm;
      pC3 += incCm;
      pC4 += incCm;
      pC5 += incCm;
      pC6 += incCm;
      pC7 += incCm;
      pA0 += incAm;
      pB0 += incBm;
      pB1 += incBm;
      pB2 += incBm;
      pB3 += incBm;
      pB4 += incBm;
      pB5 += incBm;
      pB6 += incBm;
      pB7 += incBm;
   }
   while(pA0 != stM);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
void ATL_dJIK48x48x48NN0x0x0_aX_bX
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=N, TB=N, MB=48, NB=48, KB=48, 
 * lda=0, ldb=0, ldc=0, mu=2, nu=10, ku=48, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   const double *ca=A, *cb=B;
   double *cc=C;
   const double *stM = A + 48;
   const double *stN = B + (((ldb) << 5)+((ldb) << 3));
   const double *pfA = A + lda*M;
   const double BetaAlpha = beta / alpha;
   const int incAk = (lda);
   const int incAm = 2 - (((lda) << 5)+((lda) << 4)), incAn = -48;
   #define incBk 48
   const int incBm = -48, incBn = (((ldb) << 3)+((ldb) << 1));
   #define incCm 2
   const int incCn = (((ldc) << 3)+((ldc) << 1)) - 48;
   double *pC0=C, *pC1=pC0+(ldc), *pC2=pC1+(ldc), *pC3=pC2+(ldc), *pC4=pC3+(ldc), *pC5=pC4+(ldc), *pC6=pC5+(ldc), *pC7=pC6+(ldc), *pC8=pC7+(ldc), *pC9=pC8+(ldc);
   const double *pA0=A;
   const double *pB0=B, *pB1=pB0+(ldb), *pB2=pB1+(ldb), *pB3=pB2+(ldb), *pB4=pB3+(ldb), *pB5=pB4+(ldb), *pB6=pB5+(ldb), *pB7=pB6+(ldb), *pB8=pB7+(ldb), *pB9=pB8+(ldb);
   register int k;
   register double rA0, rA1;
   register double rB0, rB1, rB2, rB3, rB4, rB5, rB6, rB7, rB8, rB9;
   register double rC0_0, rC1_0, rC0_1, rC1_1, rC0_2, rC1_2, rC0_3, rC1_3, rC0_4, rC1_4, rC0_5, rC1_5, rC0_6, rC1_6, rC0_7, rC1_7, rC0_8, rC1_8, rC0_9, rC1_9;
   do /* N-loop */
   {
      ATL_pfl1R(pfA+0);
      ATL_pfl1R(pfA+8);
      ATL_pfl1R(pfA+16);
      ATL_pfl1R(pfA+24);
      ATL_pfl1R(pfA+32);
      ATL_pfl1R(pfA+40);
      pfA += lda;
      do /* M-loop */
      {
         rA0 = BetaAlpha;
         rC0_0 = *pC0;
         rC0_0 *= rA0;
         rC1_0 = pC0[1];
         rC1_0 *= rA0;
         rC0_1 = *pC1;
         rC0_1 *= rA0;
         rC1_1 = pC1[1];
         rC1_1 *= rA0;
         rC0_2 = *pC2;
         rC0_2 *= rA0;
         rC1_2 = pC2[1];
         rC1_2 *= rA0;
         rC0_3 = *pC3;
         rC0_3 *= rA0;
         rC1_3 = pC3[1];
         rC1_3 *= rA0;
         rC0_4 = *pC4;
         rC0_4 *= rA0;
         rC1_4 = pC4[1];
         rC1_4 *= rA0;
         rC0_5 = *pC5;
         rC0_5 *= rA0;
         rC1_5 = pC5[1];
         rC1_5 *= rA0;
         rC0_6 = *pC6;
         rC0_6 *= rA0;
         rC1_6 = pC6[1];
         rC1_6 *= rA0;
         rC0_7 = *pC7;
         rC0_7 *= rA0;
         rC1_7 = pC7[1];
         rC1_7 *= rA0;
         rC0_8 = *pC8;
         rC0_8 *= rA0;
         rC1_8 = pC8[1];
         rC1_8 *= rA0;
         rC0_9 = *pC9;
         rC0_9 *= rA0;
         rC1_9 = pC9[1];
         rC1_9 *= rA0;
         rA0 = *pA0;
         rB0 = *pB0;
         rA1 = pA0[1];
         rB1 = *pB1;
         rB2 = *pB2;
         rB3 = *pB3;
         rB4 = *pB4;
         rB5 = *pB5;
         rB6 = *pB6;
         rB7 = *pB7;
         rB8 = *pB8;
         rC0_0 += rA0 * rB0;
         rB9 = *pB9;
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[1];
         rA1 = pA0[1];
         rB1 = pB1[1];
         rB2 = pB2[1];
         rB3 = pB3[1];
         rB4 = pB4[1];
         rB5 = pB5[1];
         rB6 = pB6[1];
         rB7 = pB7[1];
         rB8 = pB8[1];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[1];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[2];
         rA1 = pA0[1];
         rB1 = pB1[2];
         rB2 = pB2[2];
         rB3 = pB3[2];
         rB4 = pB4[2];
         rB5 = pB5[2];
         rB6 = pB6[2];
         rB7 = pB7[2];
         rB8 = pB8[2];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[2];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[3];
         rA1 = pA0[1];
         rB1 = pB1[3];
         rB2 = pB2[3];
         rB3 = pB3[3];
         rB4 = pB4[3];
         rB5 = pB5[3];
         rB6 = pB6[3];
         rB7 = pB7[3];
         rB8 = pB8[3];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[3];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[4];
         rA1 = pA0[1];
         rB1 = pB1[4];
         rB2 = pB2[4];
         rB3 = pB3[4];
         rB4 = pB4[4];
         rB5 = pB5[4];
         rB6 = pB6[4];
         rB7 = pB7[4];
         rB8 = pB8[4];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[4];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[5];
         rA1 = pA0[1];
         rB1 = pB1[5];
         rB2 = pB2[5];
         rB3 = pB3[5];
         rB4 = pB4[5];
         rB5 = pB5[5];
         rB6 = pB6[5];
         rB7 = pB7[5];
         rB8 = pB8[5];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[5];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[6];
         rA1 = pA0[1];
         rB1 = pB1[6];
         rB2 = pB2[6];
         rB3 = pB3[6];
         rB4 = pB4[6];
         rB5 = pB5[6];
         rB6 = pB6[6];
         rB7 = pB7[6];
         rB8 = pB8[6];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[6];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[7];
         rA1 = pA0[1];
         rB1 = pB1[7];
         rB2 = pB2[7];
         rB3 = pB3[7];
         rB4 = pB4[7];
         rB5 = pB5[7];
         rB6 = pB6[7];
         rB7 = pB7[7];
         rB8 = pB8[7];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[7];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[8];
         rA1 = pA0[1];
         rB1 = pB1[8];
         rB2 = pB2[8];
         rB3 = pB3[8];
         rB4 = pB4[8];
         rB5 = pB5[8];
         rB6 = pB6[8];
         rB7 = pB7[8];
         rB8 = pB8[8];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[8];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[9];
         rA1 = pA0[1];
         rB1 = pB1[9];
         rB2 = pB2[9];
         rB3 = pB3[9];
         rB4 = pB4[9];
         rB5 = pB5[9];
         rB6 = pB6[9];
         rB7 = pB7[9];
         rB8 = pB8[9];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[9];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[10];
         rA1 = pA0[1];
         rB1 = pB1[10];
         rB2 = pB2[10];
         rB3 = pB3[10];
         rB4 = pB4[10];
         rB5 = pB5[10];
         rB6 = pB6[10];
         rB7 = pB7[10];
         rB8 = pB8[10];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[10];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[11];
         rA1 = pA0[1];
         rB1 = pB1[11];
         rB2 = pB2[11];
         rB3 = pB3[11];
         rB4 = pB4[11];
         rB5 = pB5[11];
         rB6 = pB6[11];
         rB7 = pB7[11];
         rB8 = pB8[11];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[11];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[12];
         rA1 = pA0[1];
         rB1 = pB1[12];
         rB2 = pB2[12];
         rB3 = pB3[12];
         rB4 = pB4[12];
         rB5 = pB5[12];
         rB6 = pB6[12];
         rB7 = pB7[12];
         rB8 = pB8[12];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[12];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[13];
         rA1 = pA0[1];
         rB1 = pB1[13];
         rB2 = pB2[13];
         rB3 = pB3[13];
         rB4 = pB4[13];
         rB5 = pB5[13];
         rB6 = pB6[13];
         rB7 = pB7[13];
         rB8 = pB8[13];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[13];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[14];
         rA1 = pA0[1];
         rB1 = pB1[14];
         rB2 = pB2[14];
         rB3 = pB3[14];
         rB4 = pB4[14];
         rB5 = pB5[14];
         rB6 = pB6[14];
         rB7 = pB7[14];
         rB8 = pB8[14];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[14];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[15];
         rA1 = pA0[1];
         rB1 = pB1[15];
         rB2 = pB2[15];
         rB3 = pB3[15];
         rB4 = pB4[15];
         rB5 = pB5[15];
         rB6 = pB6[15];
         rB7 = pB7[15];
         rB8 = pB8[15];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[15];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[16];
         rA1 = pA0[1];
         rB1 = pB1[16];
         rB2 = pB2[16];
         rB3 = pB3[16];
         rB4 = pB4[16];
         rB5 = pB5[16];
         rB6 = pB6[16];
         rB7 = pB7[16];
         rB8 = pB8[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[16];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[17];
         rA1 = pA0[1];
         rB1 = pB1[17];
         rB2 = pB2[17];
         rB3 = pB3[17];
         rB4 = pB4[17];
         rB5 = pB5[17];
         rB6 = pB6[17];
         rB7 = pB7[17];
         rB8 = pB8[17];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[17];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[18];
         rA1 = pA0[1];
         rB1 = pB1[18];
         rB2 = pB2[18];
         rB3 = pB3[18];
         rB4 = pB4[18];
         rB5 = pB5[18];
         rB6 = pB6[18];
         rB7 = pB7[18];
         rB8 = pB8[18];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[19];
         rA1 = pA0[1];
         rB1 = pB1[19];
         rB2 = pB2[19];
         rB3 = pB3[19];
         rB4 = pB4[19];
         rB5 = pB5[19];
         rB6 = pB6[19];
         rB7 = pB7[19];
         rB8 = pB8[19];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[19];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[20];
         rA1 = pA0[1];
         rB1 = pB1[20];
         rB2 = pB2[20];
         rB3 = pB3[20];
         rB4 = pB4[20];
         rB5 = pB5[20];
         rB6 = pB6[20];
         rB7 = pB7[20];
         rB8 = pB8[20];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[20];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[21];
         rA1 = pA0[1];
         rB1 = pB1[21];
         rB2 = pB2[21];
         rB3 = pB3[21];
         rB4 = pB4[21];
         rB5 = pB5[21];
         rB6 = pB6[21];
         rB7 = pB7[21];
         rB8 = pB8[21];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[21];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[22];
         rA1 = pA0[1];
         rB1 = pB1[22];
         rB2 = pB2[22];
         rB3 = pB3[22];
         rB4 = pB4[22];
         rB5 = pB5[22];
         rB6 = pB6[22];
         rB7 = pB7[22];
         rB8 = pB8[22];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[22];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[23];
         rA1 = pA0[1];
         rB1 = pB1[23];
         rB2 = pB2[23];
         rB3 = pB3[23];
         rB4 = pB4[23];
         rB5 = pB5[23];
         rB6 = pB6[23];
         rB7 = pB7[23];
         rB8 = pB8[23];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[23];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[24];
         rA1 = pA0[1];
         rB1 = pB1[24];
         rB2 = pB2[24];
         rB3 = pB3[24];
         rB4 = pB4[24];
         rB5 = pB5[24];
         rB6 = pB6[24];
         rB7 = pB7[24];
         rB8 = pB8[24];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[24];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[25];
         rA1 = pA0[1];
         rB1 = pB1[25];
         rB2 = pB2[25];
         rB3 = pB3[25];
         rB4 = pB4[25];
         rB5 = pB5[25];
         rB6 = pB6[25];
         rB7 = pB7[25];
         rB8 = pB8[25];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[25];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[26];
         rA1 = pA0[1];
         rB1 = pB1[26];
         rB2 = pB2[26];
         rB3 = pB3[26];
         rB4 = pB4[26];
         rB5 = pB5[26];
         rB6 = pB6[26];
         rB7 = pB7[26];
         rB8 = pB8[26];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[26];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[27];
         rA1 = pA0[1];
         rB1 = pB1[27];
         rB2 = pB2[27];
         rB3 = pB3[27];
         rB4 = pB4[27];
         rB5 = pB5[27];
         rB6 = pB6[27];
         rB7 = pB7[27];
         rB8 = pB8[27];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[27];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[28];
         rA1 = pA0[1];
         rB1 = pB1[28];
         rB2 = pB2[28];
         rB3 = pB3[28];
         rB4 = pB4[28];
         rB5 = pB5[28];
         rB6 = pB6[28];
         rB7 = pB7[28];
         rB8 = pB8[28];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[28];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[29];
         rA1 = pA0[1];
         rB1 = pB1[29];
         rB2 = pB2[29];
         rB3 = pB3[29];
         rB4 = pB4[29];
         rB5 = pB5[29];
         rB6 = pB6[29];
         rB7 = pB7[29];
         rB8 = pB8[29];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[29];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[30];
         rA1 = pA0[1];
         rB1 = pB1[30];
         rB2 = pB2[30];
         rB3 = pB3[30];
         rB4 = pB4[30];
         rB5 = pB5[30];
         rB6 = pB6[30];
         rB7 = pB7[30];
         rB8 = pB8[30];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[30];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[31];
         rA1 = pA0[1];
         rB1 = pB1[31];
         rB2 = pB2[31];
         rB3 = pB3[31];
         rB4 = pB4[31];
         rB5 = pB5[31];
         rB6 = pB6[31];
         rB7 = pB7[31];
         rB8 = pB8[31];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[31];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[32];
         rA1 = pA0[1];
         rB1 = pB1[32];
         rB2 = pB2[32];
         rB3 = pB3[32];
         rB4 = pB4[32];
         rB5 = pB5[32];
         rB6 = pB6[32];
         rB7 = pB7[32];
         rB8 = pB8[32];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[32];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[33];
         rA1 = pA0[1];
         rB1 = pB1[33];
         rB2 = pB2[33];
         rB3 = pB3[33];
         rB4 = pB4[33];
         rB5 = pB5[33];
         rB6 = pB6[33];
         rB7 = pB7[33];
         rB8 = pB8[33];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[33];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[34];
         rA1 = pA0[1];
         rB1 = pB1[34];
         rB2 = pB2[34];
         rB3 = pB3[34];
         rB4 = pB4[34];
         rB5 = pB5[34];
         rB6 = pB6[34];
         rB7 = pB7[34];
         rB8 = pB8[34];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[34];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[35];
         rA1 = pA0[1];
         rB1 = pB1[35];
         rB2 = pB2[35];
         rB3 = pB3[35];
         rB4 = pB4[35];
         rB5 = pB5[35];
         rB6 = pB6[35];
         rB7 = pB7[35];
         rB8 = pB8[35];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[35];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[36];
         rA1 = pA0[1];
         rB1 = pB1[36];
         rB2 = pB2[36];
         rB3 = pB3[36];
         rB4 = pB4[36];
         rB5 = pB5[36];
         rB6 = pB6[36];
         rB7 = pB7[36];
         rB8 = pB8[36];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[36];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[37];
         rA1 = pA0[1];
         rB1 = pB1[37];
         rB2 = pB2[37];
         rB3 = pB3[37];
         rB4 = pB4[37];
         rB5 = pB5[37];
         rB6 = pB6[37];
         rB7 = pB7[37];
         rB8 = pB8[37];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[37];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[38];
         rA1 = pA0[1];
         rB1 = pB1[38];
         rB2 = pB2[38];
         rB3 = pB3[38];
         rB4 = pB4[38];
         rB5 = pB5[38];
         rB6 = pB6[38];
         rB7 = pB7[38];
         rB8 = pB8[38];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[38];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[39];
         rA1 = pA0[1];
         rB1 = pB1[39];
         rB2 = pB2[39];
         rB3 = pB3[39];
         rB4 = pB4[39];
         rB5 = pB5[39];
         rB6 = pB6[39];
         rB7 = pB7[39];
         rB8 = pB8[39];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[39];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[40];
         rA1 = pA0[1];
         rB1 = pB1[40];
         rB2 = pB2[40];
         rB3 = pB3[40];
         rB4 = pB4[40];
         rB5 = pB5[40];
         rB6 = pB6[40];
         rB7 = pB7[40];
         rB8 = pB8[40];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[40];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[41];
         rA1 = pA0[1];
         rB1 = pB1[41];
         rB2 = pB2[41];
         rB3 = pB3[41];
         rB4 = pB4[41];
         rB5 = pB5[41];
         rB6 = pB6[41];
         rB7 = pB7[41];
         rB8 = pB8[41];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[41];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[42];
         rA1 = pA0[1];
         rB1 = pB1[42];
         rB2 = pB2[42];
         rB3 = pB3[42];
         rB4 = pB4[42];
         rB5 = pB5[42];
         rB6 = pB6[42];
         rB7 = pB7[42];
         rB8 = pB8[42];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[42];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[43];
         rA1 = pA0[1];
         rB1 = pB1[43];
         rB2 = pB2[43];
         rB3 = pB3[43];
         rB4 = pB4[43];
         rB5 = pB5[43];
         rB6 = pB6[43];
         rB7 = pB7[43];
         rB8 = pB8[43];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[43];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[44];
         rA1 = pA0[1];
         rB1 = pB1[44];
         rB2 = pB2[44];
         rB3 = pB3[44];
         rB4 = pB4[44];
         rB5 = pB5[44];
         rB6 = pB6[44];
         rB7 = pB7[44];
         rB8 = pB8[44];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[44];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[45];
         rA1 = pA0[1];
         rB1 = pB1[45];
         rB2 = pB2[45];
         rB3 = pB3[45];
         rB4 = pB4[45];
         rB5 = pB5[45];
         rB6 = pB6[45];
         rB7 = pB7[45];
         rB8 = pB8[45];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[45];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[46];
         rA1 = pA0[1];
         rB1 = pB1[46];
         rB2 = pB2[46];
         rB3 = pB3[46];
         rB4 = pB4[46];
         rB5 = pB5[46];
         rB6 = pB6[46];
         rB7 = pB7[46];
         rB8 = pB8[46];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[46];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         rA0 = *pA0;
         rB0 = pB0[47];
         rA1 = pA0[1];
         rB1 = pB1[47];
         rB2 = pB2[47];
         rB3 = pB3[47];
         rB4 = pB4[47];
         rB5 = pB5[47];
         rB6 = pB6[47];
         rB7 = pB7[47];
         rB8 = pB8[47];
         rC0_0 += rA0 * rB0;
         rB9 = pB9[47];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pA0 += incAk;
         pB0 += incBk;
         pB1 += incBk;
         pB2 += incBk;
         pB3 += incBk;
         pB4 += incBk;
         pB5 += incBk;
         pB6 += incBk;
         pB7 += incBk;
         pB8 += incBk;
         pB9 += incBk;
         rB0 = alpha;
         rC0_0 *= rB0;
         rC0_1 *= rB0;
         rC0_2 *= rB0;
         rC0_3 *= rB0;
         rC0_4 *= rB0;
         rC0_5 *= rB0;
         rC0_6 *= rB0;
         rC0_7 *= rB0;
         rC0_8 *= rB0;
         rC0_9 *= rB0;
         rC1_0 *= rB0;
         rC1_1 *= rB0;
         rC1_2 *= rB0;
         rC1_3 *= rB0;
         rC1_4 *= rB0;
         rC1_5 *= rB0;
         rC1_6 *= rB0;
         rC1_7 *= rB0;
         rC1_8 *= rB0;
         rC1_9 *= rB0;
         *pC0 = rC0_0;
         pC0[1] = rC1_0;
         *pC1 = rC0_1;
         pC1[1] = rC1_1;
         *pC2 = rC0_2;
         pC2[1] = rC1_2;
         *pC3 = rC0_3;
         pC3[1] = rC1_3;
         *pC4 = rC0_4;
         pC4[1] = rC1_4;
         *pC5 = rC0_5;
         pC5[1] = rC1_5;
         *pC6 = rC0_6;
         pC6[1] = rC1_6;
         *pC7 = rC0_7;
         pC7[1] = rC1_7;
         *pC8 = rC0_8;
         pC8[1] = rC1_8;
         *pC9 = rC0_9;
         pC9[1] = rC1_9;
         pC0 += incCm;
         pC1 += incCm;
         pC2 += incCm;
         pC3 += incCm;
         pC4 += incCm;
         pC5 += incCm;
         pC6 += incCm;
         pC7 += incCm;
         pC8 += incCm;
         pC9 += incCm;
         pA0 += incAm;
         pB0 += incBm;
         pB1 += incBm;
         pB2 += incBm;
         pB3 += incBm;
         pB4 += incBm;
         pB5 += incBm;
         pB6 += incBm;
         pB7 += incBm;
         pB8 += incBm;
         pB9 += incBm;
      }
      while(pA0 != stM);
      pC0 += incCn;
      pC1 += incCn;
      pC2 += incCn;
      pC3 += incCn;
      pC4 += incCn;
      pC5 += incCn;
      pC6 += incCn;
      pC7 += incCn;
      pC8 += incCn;
      pC9 += incCn;
      pA0 += incAn;
      pB0 += incBn;
      pB1 += incBn;
      pB2 += incBn;
      pB3 += incBn;
      pB4 += incBn;
      pB5 += incBn;
      pB6 += incBn;
      pB7 += incBn;
      pB8 += incBn;
      pB9 += incBn;
   }
   while(pB0 != stN);
   ATL_dJIK48x8x48NN2x8x48_aX_bX(48, 8, 48, alpha, ca, lda, cb + (((ldb) << 5)+((ldb) << 3)), ldb, beta, cc + (((ldc) << 5)+((ldc) << 3)), ldc);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
