#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

static void ATL_zJIK48x8x48NT2x8x1_a1_b1
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=N, TB=T, MB=48, NB=8, KB=48, 
 * lda=0, ldb=0, ldc=0, mu=2, nu=8, ku=1, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   const double *stM = A + 96;
   const double *stN = B + 16;
   const double *pfA = A + lda*M;
   const int incAk = (((lda) << 1));
   const int incAm = 4 - (((lda) << 6)+((lda) << 5)), incAn = -96;
   const int incBk = (((ldb) << 1)), incBm = -(((ldb) << 6)+((ldb) << 5));
   #define incBn 16
   #define incCm 4
   const int incCn = (((ldc) << 4)) - 96;
   double *pC0=C, *pC1=pC0+(((ldc) << 1)), *pC2=pC1+(((ldc) << 1)), *pC3=pC2+(((ldc) << 1)), *pC4=pC3+(((ldc) << 1)), *pC5=pC4+(((ldc) << 1)), *pC6=pC5+(((ldc) << 1)), *pC7=pC6+(((ldc) << 1));
   const double *pA0=A;
   const double *pB0=B;
   register int k;
   register double rA0, rA1;
   register double rB0, rB1, rB2, rB3, rB4, rB5, rB6, rB7;
   register double rC0_0, rC1_0, rC0_1, rC1_1, rC0_2, rC1_2, rC0_3, rC1_3, rC0_4, rC1_4, rC0_5, rC1_5, rC0_6, rC1_6, rC0_7, rC1_7;
   do /* M-loop */
   {
      rC0_0 = *pC0;
      rC1_0 = pC0[2];
      rC0_1 = *pC1;
      rC1_1 = pC1[2];
      rC0_2 = *pC2;
      rC1_2 = pC2[2];
      rC0_3 = *pC3;
      rC1_3 = pC3[2];
      rC0_4 = *pC4;
      rC1_4 = pC4[2];
      rC0_5 = *pC5;
      rC1_5 = pC5[2];
      rC0_6 = *pC6;
      rC1_6 = pC6[2];
      rC0_7 = *pC7;
      rC1_7 = pC7[2];
      for (k=48; k; k--) /* easy loop to unroll */
      {
         rA0 = *pA0;
         rB0 = *pB0;
         rA1 = pA0[2];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         pA0 += incAk;
         pB0 += incBk;
      }
      *pC0 = rC0_0;
      pC0[2] = rC1_0;
      *pC1 = rC0_1;
      pC1[2] = rC1_1;
      *pC2 = rC0_2;
      pC2[2] = rC1_2;
      *pC3 = rC0_3;
      pC3[2] = rC1_3;
      *pC4 = rC0_4;
      pC4[2] = rC1_4;
      *pC5 = rC0_5;
      pC5[2] = rC1_5;
      *pC6 = rC0_6;
      pC6[2] = rC1_6;
      *pC7 = rC0_7;
      pC7[2] = rC1_7;
      pC0 += incCm;
      pC1 += incCm;
      pC2 += incCm;
      pC3 += incCm;
      pC4 += incCm;
      pC5 += incCm;
      pC6 += incCm;
      pC7 += incCm;
      pA0 += incAm;
      pB0 += incBm;
   }
   while(pA0 != stM);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
void ATL_zJIK48x48x48NT0x0x0_a1_b1
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=N, TB=T, MB=48, NB=48, KB=48, 
 * lda=0, ldb=0, ldc=0, mu=2, nu=10, ku=1, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   const double *ca=A, *cb=B;
   double *cc=C;
   const double *stM = A + 96;
   const double *stN = B + 80;
   const double *pfA = A + lda*M;
   const int incAk = (((lda) << 1));
   const int incAm = 4 - (((lda) << 6)+((lda) << 5)), incAn = -96;
   const int incBk = (((ldb) << 1)), incBm = -(((ldb) << 6)+((ldb) << 5));
   #define incBn 20
   #define incCm 4
   const int incCn = (((ldc) << 4)+((ldc) << 2)) - 96;
   double *pC0=C, *pC1=pC0+(((ldc) << 1)), *pC2=pC1+(((ldc) << 1)), *pC3=pC2+(((ldc) << 1)), *pC4=pC3+(((ldc) << 1)), *pC5=pC4+(((ldc) << 1)), *pC6=pC5+(((ldc) << 1)), *pC7=pC6+(((ldc) << 1)), *pC8=pC7+(((ldc) << 1)), *pC9=pC8+(((ldc) << 1));
   const double *pA0=A;
   const double *pB0=B;
   register int k;
   register double rA0, rA1;
   register double rB0, rB1, rB2, rB3, rB4, rB5, rB6, rB7, rB8, rB9;
   register double rC0_0, rC1_0, rC0_1, rC1_1, rC0_2, rC1_2, rC0_3, rC1_3, rC0_4, rC1_4, rC0_5, rC1_5, rC0_6, rC1_6, rC0_7, rC1_7, rC0_8, rC1_8, rC0_9, rC1_9;
   do /* N-loop */
   {
      ATL_pfl1R(pfA+0);
      ATL_pfl1R(pfA+8);
      ATL_pfl1R(pfA+16);
      ATL_pfl1R(pfA+24);
      ATL_pfl1R(pfA+32);
      ATL_pfl1R(pfA+40);
      pfA += lda;
      do /* M-loop */
      {
         rC0_0 = *pC0;
         rC1_0 = pC0[2];
         rC0_1 = *pC1;
         rC1_1 = pC1[2];
         rC0_2 = *pC2;
         rC1_2 = pC2[2];
         rC0_3 = *pC3;
         rC1_3 = pC3[2];
         rC0_4 = *pC4;
         rC1_4 = pC4[2];
         rC0_5 = *pC5;
         rC1_5 = pC5[2];
         rC0_6 = *pC6;
         rC1_6 = pC6[2];
         rC0_7 = *pC7;
         rC1_7 = pC7[2];
         rC0_8 = *pC8;
         rC1_8 = pC8[2];
         rC0_9 = *pC9;
         rC1_9 = pC9[2];
         for (k=48; k; k--) /* easy loop to unroll */
         {
            rA0 = *pA0;
            rB0 = *pB0;
            rA1 = pA0[2];
            rB1 = pB0[2];
            rB2 = pB0[4];
            rB3 = pB0[6];
            rB4 = pB0[8];
            rB5 = pB0[10];
            rB6 = pB0[12];
            rB7 = pB0[14];
            rB8 = pB0[16];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[18];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            pA0 += incAk;
            pB0 += incBk;
         }
         *pC0 = rC0_0;
         pC0[2] = rC1_0;
         *pC1 = rC0_1;
         pC1[2] = rC1_1;
         *pC2 = rC0_2;
         pC2[2] = rC1_2;
         *pC3 = rC0_3;
         pC3[2] = rC1_3;
         *pC4 = rC0_4;
         pC4[2] = rC1_4;
         *pC5 = rC0_5;
         pC5[2] = rC1_5;
         *pC6 = rC0_6;
         pC6[2] = rC1_6;
         *pC7 = rC0_7;
         pC7[2] = rC1_7;
         *pC8 = rC0_8;
         pC8[2] = rC1_8;
         *pC9 = rC0_9;
         pC9[2] = rC1_9;
         pC0 += incCm;
         pC1 += incCm;
         pC2 += incCm;
         pC3 += incCm;
         pC4 += incCm;
         pC5 += incCm;
         pC6 += incCm;
         pC7 += incCm;
         pC8 += incCm;
         pC9 += incCm;
         pA0 += incAm;
         pB0 += incBm;
      }
      while(pA0 != stM);
      pC0 += incCn;
      pC1 += incCn;
      pC2 += incCn;
      pC3 += incCn;
      pC4 += incCn;
      pC5 += incCn;
      pC6 += incCn;
      pC7 += incCn;
      pC8 += incCn;
      pC9 += incCn;
      pA0 += incAn;
      pB0 += incBn;
   }
   while(pB0 != stN);
   ATL_zJIK48x8x48NT2x8x1_a1_b1(48, 8, 48, alpha, ca, lda, cb + 80, ldb, beta, cc + (((ldc) << 6)+((ldc) << 4)), ldc);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
