#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

static void ATL_zJIK48x8x48TT2x8x48_aX_b0
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=T, TB=T, MB=48, NB=8, KB=48, 
 * lda=0, ldb=0, ldc=0, mu=2, nu=8, ku=48, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   const double *stM = A + (((lda) << 6)+((lda) << 5));
   const double *stN = B + 16;
   const double *pfA = A + M;
   const double BetaAlpha = beta / alpha;
   #define incAk 96
   const int incAm = ((((((lda) << 1)) - 48) << 1)), incAn = -(((lda) << 6)+((lda) << 5));
   const int incBk = (((ldb) << 1)), incBm = -(((ldb) << 6)+((ldb) << 5));
   #define incBn 16
   #define incCm 4
   const int incCn = (((ldc) << 4)) - 96;
   double *pC0=C, *pC1=pC0+(((ldc) << 1)), *pC2=pC1+(((ldc) << 1)), *pC3=pC2+(((ldc) << 1)), *pC4=pC3+(((ldc) << 1)), *pC5=pC4+(((ldc) << 1)), *pC6=pC5+(((ldc) << 1)), *pC7=pC6+(((ldc) << 1));
   const double *pA0=A, *pA1=pA0+(((lda) << 1));
   const double *pB0=B;
   register int k;
   register double rA0, rA1;
   register double rB0, rB1, rB2, rB3, rB4, rB5, rB6, rB7;
   register double rC0_0, rC1_0, rC0_1, rC1_1, rC0_2, rC1_2, rC0_3, rC1_3, rC0_4, rC1_4, rC0_5, rC1_5, rC0_6, rC1_6, rC0_7, rC1_7;
   do /* M-loop */
   {
/*
 *    Feeble prefetch of C
 */
      rC0_0 = *pC0;
      rC0_1 = *pC1;
      rC0_2 = *pC2;
      rC0_3 = *pC3;
      rC0_4 = *pC4;
      rC0_5 = *pC5;
      rC0_6 = *pC6;
      rC0_7 = *pC7;
      ATL_pfl1W(pC0);
      ATL_pfl1W(pC1);
      ATL_pfl1W(pC2);
      ATL_pfl1W(pC3);
      ATL_pfl1W(pC4);
      ATL_pfl1W(pC5);
      ATL_pfl1W(pC6);
      ATL_pfl1W(pC7);
      rA0 = *pA0;
      rB0 = *pB0;
      rA1 = *pA1;
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 = rA0 * rB0;
      rC1_0 = rA1 * rB0;
      rC0_1 = rA0 * rB1;
      rC1_1 = rA1 * rB1;
      rC0_2 = rA0 * rB2;
      rC1_2 = rA1 * rB2;
      rC0_3 = rA0 * rB3;
      rC1_3 = rA1 * rB3;
      rC0_4 = rA0 * rB4;
      rC1_4 = rA1 * rB4;
      rC0_5 = rA0 * rB5;
      rC1_5 = rA1 * rB5;
      rC0_6 = rA0 * rB6;
      rC1_6 = rA1 * rB6;
      rC0_7 = rA0 * rB7;
      rC1_7 = rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[2];
      rB0 = *pB0;
      rA1 = pA1[2];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[4];
      rB0 = *pB0;
      rA1 = pA1[4];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[6];
      rB0 = *pB0;
      rA1 = pA1[6];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[8];
      rB0 = *pB0;
      rA1 = pA1[8];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[10];
      rB0 = *pB0;
      rA1 = pA1[10];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[12];
      rB0 = *pB0;
      rA1 = pA1[12];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[14];
      rB0 = *pB0;
      rA1 = pA1[14];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[16];
      rB0 = *pB0;
      rA1 = pA1[16];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[18];
      rB0 = *pB0;
      rA1 = pA1[18];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[20];
      rB0 = *pB0;
      rA1 = pA1[20];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[22];
      rB0 = *pB0;
      rA1 = pA1[22];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[24];
      rB0 = *pB0;
      rA1 = pA1[24];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[26];
      rB0 = *pB0;
      rA1 = pA1[26];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[28];
      rB0 = *pB0;
      rA1 = pA1[28];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[30];
      rB0 = *pB0;
      rA1 = pA1[30];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[32];
      rB0 = *pB0;
      rA1 = pA1[32];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[34];
      rB0 = *pB0;
      rA1 = pA1[34];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[36];
      rB0 = *pB0;
      rA1 = pA1[36];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[38];
      rB0 = *pB0;
      rA1 = pA1[38];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[40];
      rB0 = *pB0;
      rA1 = pA1[40];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[42];
      rB0 = *pB0;
      rA1 = pA1[42];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[44];
      rB0 = *pB0;
      rA1 = pA1[44];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[46];
      rB0 = *pB0;
      rA1 = pA1[46];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[48];
      rB0 = *pB0;
      rA1 = pA1[48];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[50];
      rB0 = *pB0;
      rA1 = pA1[50];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[52];
      rB0 = *pB0;
      rA1 = pA1[52];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[54];
      rB0 = *pB0;
      rA1 = pA1[54];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[56];
      rB0 = *pB0;
      rA1 = pA1[56];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[58];
      rB0 = *pB0;
      rA1 = pA1[58];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[60];
      rB0 = *pB0;
      rA1 = pA1[60];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[62];
      rB0 = *pB0;
      rA1 = pA1[62];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[64];
      rB0 = *pB0;
      rA1 = pA1[64];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[66];
      rB0 = *pB0;
      rA1 = pA1[66];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[68];
      rB0 = *pB0;
      rA1 = pA1[68];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[70];
      rB0 = *pB0;
      rA1 = pA1[70];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[72];
      rB0 = *pB0;
      rA1 = pA1[72];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[74];
      rB0 = *pB0;
      rA1 = pA1[74];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[76];
      rB0 = *pB0;
      rA1 = pA1[76];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[78];
      rB0 = *pB0;
      rA1 = pA1[78];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[80];
      rB0 = *pB0;
      rA1 = pA1[80];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[82];
      rB0 = *pB0;
      rA1 = pA1[82];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[84];
      rB0 = *pB0;
      rA1 = pA1[84];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[86];
      rB0 = *pB0;
      rA1 = pA1[86];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[88];
      rB0 = *pB0;
      rA1 = pA1[88];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[90];
      rB0 = *pB0;
      rA1 = pA1[90];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[92];
      rB0 = *pB0;
      rA1 = pA1[92];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      rA0 = pA0[94];
      rB0 = *pB0;
      rA1 = pA1[94];
      rB1 = pB0[2];
      rB2 = pB0[4];
      rB3 = pB0[6];
      rB4 = pB0[8];
      rB5 = pB0[10];
      rB6 = pB0[12];
      rB7 = pB0[14];
      rC0_0 += rA0 * rB0;
      rC1_0 += rA1 * rB0;
      rC0_1 += rA0 * rB1;
      rC1_1 += rA1 * rB1;
      rC0_2 += rA0 * rB2;
      rC1_2 += rA1 * rB2;
      rC0_3 += rA0 * rB3;
      rC1_3 += rA1 * rB3;
      rC0_4 += rA0 * rB4;
      rC1_4 += rA1 * rB4;
      rC0_5 += rA0 * rB5;
      rC1_5 += rA1 * rB5;
      rC0_6 += rA0 * rB6;
      rC1_6 += rA1 * rB6;
      rC0_7 += rA0 * rB7;
      rC1_7 += rA1 * rB7;
      pB0 += incBk;
      pA0 += incAk;
      pA1 += incAk;
      rB0 = alpha;
      rC0_0 *= rB0;
      rC0_1 *= rB0;
      rC0_2 *= rB0;
      rC0_3 *= rB0;
      rC0_4 *= rB0;
      rC0_5 *= rB0;
      rC0_6 *= rB0;
      rC0_7 *= rB0;
      rC1_0 *= rB0;
      rC1_1 *= rB0;
      rC1_2 *= rB0;
      rC1_3 *= rB0;
      rC1_4 *= rB0;
      rC1_5 *= rB0;
      rC1_6 *= rB0;
      rC1_7 *= rB0;
      *pC0 = rC0_0;
      pC0[2] = rC1_0;
      *pC1 = rC0_1;
      pC1[2] = rC1_1;
      *pC2 = rC0_2;
      pC2[2] = rC1_2;
      *pC3 = rC0_3;
      pC3[2] = rC1_3;
      *pC4 = rC0_4;
      pC4[2] = rC1_4;
      *pC5 = rC0_5;
      pC5[2] = rC1_5;
      *pC6 = rC0_6;
      pC6[2] = rC1_6;
      *pC7 = rC0_7;
      pC7[2] = rC1_7;
      pC0 += incCm;
      pC1 += incCm;
      pC2 += incCm;
      pC3 += incCm;
      pC4 += incCm;
      pC5 += incCm;
      pC6 += incCm;
      pC7 += incCm;
      pA0 += incAm;
      pA1 += incAm;
      pB0 += incBm;
   }
   while(pA0 != stM);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
void ATL_zJIK48x48x48TT0x0x0_aX_b0
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=T, TB=T, MB=48, NB=48, KB=48, 
 * lda=0, ldb=0, ldc=0, mu=2, nu=10, ku=48, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   const double *ca=A, *cb=B;
   double *cc=C;
   const double *stM = A + (((lda) << 6)+((lda) << 5));
   const double *stN = B + 80;
   const double *pfA = A + M;
   const double BetaAlpha = beta / alpha;
   #define incAk 96
   const int incAm = ((((((lda) << 1)) - 48) << 1)), incAn = -(((lda) << 6)+((lda) << 5));
   const int incBk = (((ldb) << 1)), incBm = -(((ldb) << 6)+((ldb) << 5));
   #define incBn 20
   #define incCm 4
   const int incCn = (((ldc) << 4)+((ldc) << 2)) - 96;
   double *pC0=C, *pC1=pC0+(((ldc) << 1)), *pC2=pC1+(((ldc) << 1)), *pC3=pC2+(((ldc) << 1)), *pC4=pC3+(((ldc) << 1)), *pC5=pC4+(((ldc) << 1)), *pC6=pC5+(((ldc) << 1)), *pC7=pC6+(((ldc) << 1)), *pC8=pC7+(((ldc) << 1)), *pC9=pC8+(((ldc) << 1));
   const double *pA0=A, *pA1=pA0+(((lda) << 1));
   const double *pB0=B;
   register int k;
   register double rA0, rA1;
   register double rB0, rB1, rB2, rB3, rB4, rB5, rB6, rB7, rB8, rB9;
   register double rC0_0, rC1_0, rC0_1, rC1_1, rC0_2, rC1_2, rC0_3, rC1_3, rC0_4, rC1_4, rC0_5, rC1_5, rC0_6, rC1_6, rC0_7, rC1_7, rC0_8, rC1_8, rC0_9, rC1_9;
   do /* N-loop */
   {
      ATL_pfl1R(pfA+0);
      ATL_pfl1R(pfA+8);
      ATL_pfl1R(pfA+16);
      ATL_pfl1R(pfA+24);
      ATL_pfl1R(pfA+32);
      ATL_pfl1R(pfA+40);
      pfA += lda;
      do /* M-loop */
      {
/*
 *       Feeble prefetch of C
 */
         rC0_0 = *pC0;
         rC0_1 = *pC1;
         rC0_2 = *pC2;
         rC0_3 = *pC3;
         rC0_4 = *pC4;
         rC0_5 = *pC5;
         rC0_6 = *pC6;
         rC0_7 = *pC7;
         rC0_8 = *pC8;
         rC0_9 = *pC9;
         ATL_pfl1W(pC0);
         ATL_pfl1W(pC1);
         ATL_pfl1W(pC2);
         ATL_pfl1W(pC3);
         ATL_pfl1W(pC4);
         ATL_pfl1W(pC5);
         ATL_pfl1W(pC6);
         ATL_pfl1W(pC7);
         ATL_pfl1W(pC8);
         ATL_pfl1W(pC9);
         rA0 = *pA0;
         rB0 = *pB0;
         rA1 = *pA1;
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 = rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 = rA1 * rB0;
         rC0_1 = rA0 * rB1;
         rC1_1 = rA1 * rB1;
         rC0_2 = rA0 * rB2;
         rC1_2 = rA1 * rB2;
         rC0_3 = rA0 * rB3;
         rC1_3 = rA1 * rB3;
         rC0_4 = rA0 * rB4;
         rC1_4 = rA1 * rB4;
         rC0_5 = rA0 * rB5;
         rC1_5 = rA1 * rB5;
         rC0_6 = rA0 * rB6;
         rC1_6 = rA1 * rB6;
         rC0_7 = rA0 * rB7;
         rC1_7 = rA1 * rB7;
         rC0_8 = rA0 * rB8;
         rC1_8 = rA1 * rB8;
         rC0_9 = rA0 * rB9;
         rC1_9 = rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[2];
         rB0 = *pB0;
         rA1 = pA1[2];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[4];
         rB0 = *pB0;
         rA1 = pA1[4];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[6];
         rB0 = *pB0;
         rA1 = pA1[6];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[8];
         rB0 = *pB0;
         rA1 = pA1[8];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[10];
         rB0 = *pB0;
         rA1 = pA1[10];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[12];
         rB0 = *pB0;
         rA1 = pA1[12];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[14];
         rB0 = *pB0;
         rA1 = pA1[14];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[16];
         rB0 = *pB0;
         rA1 = pA1[16];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[18];
         rB0 = *pB0;
         rA1 = pA1[18];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[20];
         rB0 = *pB0;
         rA1 = pA1[20];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[22];
         rB0 = *pB0;
         rA1 = pA1[22];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[24];
         rB0 = *pB0;
         rA1 = pA1[24];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[26];
         rB0 = *pB0;
         rA1 = pA1[26];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[28];
         rB0 = *pB0;
         rA1 = pA1[28];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[30];
         rB0 = *pB0;
         rA1 = pA1[30];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[32];
         rB0 = *pB0;
         rA1 = pA1[32];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[34];
         rB0 = *pB0;
         rA1 = pA1[34];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[36];
         rB0 = *pB0;
         rA1 = pA1[36];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[38];
         rB0 = *pB0;
         rA1 = pA1[38];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[40];
         rB0 = *pB0;
         rA1 = pA1[40];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[42];
         rB0 = *pB0;
         rA1 = pA1[42];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[44];
         rB0 = *pB0;
         rA1 = pA1[44];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[46];
         rB0 = *pB0;
         rA1 = pA1[46];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[48];
         rB0 = *pB0;
         rA1 = pA1[48];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[50];
         rB0 = *pB0;
         rA1 = pA1[50];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[52];
         rB0 = *pB0;
         rA1 = pA1[52];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[54];
         rB0 = *pB0;
         rA1 = pA1[54];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[56];
         rB0 = *pB0;
         rA1 = pA1[56];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[58];
         rB0 = *pB0;
         rA1 = pA1[58];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[60];
         rB0 = *pB0;
         rA1 = pA1[60];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[62];
         rB0 = *pB0;
         rA1 = pA1[62];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[64];
         rB0 = *pB0;
         rA1 = pA1[64];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[66];
         rB0 = *pB0;
         rA1 = pA1[66];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[68];
         rB0 = *pB0;
         rA1 = pA1[68];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[70];
         rB0 = *pB0;
         rA1 = pA1[70];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[72];
         rB0 = *pB0;
         rA1 = pA1[72];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[74];
         rB0 = *pB0;
         rA1 = pA1[74];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[76];
         rB0 = *pB0;
         rA1 = pA1[76];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[78];
         rB0 = *pB0;
         rA1 = pA1[78];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[80];
         rB0 = *pB0;
         rA1 = pA1[80];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[82];
         rB0 = *pB0;
         rA1 = pA1[82];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[84];
         rB0 = *pB0;
         rA1 = pA1[84];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[86];
         rB0 = *pB0;
         rA1 = pA1[86];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[88];
         rB0 = *pB0;
         rA1 = pA1[88];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[90];
         rB0 = *pB0;
         rA1 = pA1[90];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[92];
         rB0 = *pB0;
         rA1 = pA1[92];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         rA0 = pA0[94];
         rB0 = *pB0;
         rA1 = pA1[94];
         rB1 = pB0[2];
         rB2 = pB0[4];
         rB3 = pB0[6];
         rB4 = pB0[8];
         rB5 = pB0[10];
         rB6 = pB0[12];
         rB7 = pB0[14];
         rB8 = pB0[16];
         rC0_0 += rA0 * rB0;
         rB9 = pB0[18];
         rC1_0 += rA1 * rB0;
         rC0_1 += rA0 * rB1;
         rC1_1 += rA1 * rB1;
         rC0_2 += rA0 * rB2;
         rC1_2 += rA1 * rB2;
         rC0_3 += rA0 * rB3;
         rC1_3 += rA1 * rB3;
         rC0_4 += rA0 * rB4;
         rC1_4 += rA1 * rB4;
         rC0_5 += rA0 * rB5;
         rC1_5 += rA1 * rB5;
         rC0_6 += rA0 * rB6;
         rC1_6 += rA1 * rB6;
         rC0_7 += rA0 * rB7;
         rC1_7 += rA1 * rB7;
         rC0_8 += rA0 * rB8;
         rC1_8 += rA1 * rB8;
         rC0_9 += rA0 * rB9;
         rC1_9 += rA1 * rB9;
         pB0 += incBk;
         pA0 += incAk;
         pA1 += incAk;
         rB0 = alpha;
         rC0_0 *= rB0;
         rC0_1 *= rB0;
         rC0_2 *= rB0;
         rC0_3 *= rB0;
         rC0_4 *= rB0;
         rC0_5 *= rB0;
         rC0_6 *= rB0;
         rC0_7 *= rB0;
         rC0_8 *= rB0;
         rC0_9 *= rB0;
         rC1_0 *= rB0;
         rC1_1 *= rB0;
         rC1_2 *= rB0;
         rC1_3 *= rB0;
         rC1_4 *= rB0;
         rC1_5 *= rB0;
         rC1_6 *= rB0;
         rC1_7 *= rB0;
         rC1_8 *= rB0;
         rC1_9 *= rB0;
         *pC0 = rC0_0;
         pC0[2] = rC1_0;
         *pC1 = rC0_1;
         pC1[2] = rC1_1;
         *pC2 = rC0_2;
         pC2[2] = rC1_2;
         *pC3 = rC0_3;
         pC3[2] = rC1_3;
         *pC4 = rC0_4;
         pC4[2] = rC1_4;
         *pC5 = rC0_5;
         pC5[2] = rC1_5;
         *pC6 = rC0_6;
         pC6[2] = rC1_6;
         *pC7 = rC0_7;
         pC7[2] = rC1_7;
         *pC8 = rC0_8;
         pC8[2] = rC1_8;
         *pC9 = rC0_9;
         pC9[2] = rC1_9;
         pC0 += incCm;
         pC1 += incCm;
         pC2 += incCm;
         pC3 += incCm;
         pC4 += incCm;
         pC5 += incCm;
         pC6 += incCm;
         pC7 += incCm;
         pC8 += incCm;
         pC9 += incCm;
         pA0 += incAm;
         pA1 += incAm;
         pB0 += incBm;
      }
      while(pA0 != stM);
      pC0 += incCn;
      pC1 += incCn;
      pC2 += incCn;
      pC3 += incCn;
      pC4 += incCn;
      pC5 += incCn;
      pC6 += incCn;
      pC7 += incCn;
      pC8 += incCn;
      pC9 += incCn;
      pA0 += incAn;
      pA1 += incAn;
      pB0 += incBn;
   }
   while(pB0 != stN);
   ATL_zJIK48x8x48TT2x8x48_aX_b0(48, 8, 48, alpha, ca, lda, cb + 80, ldb, beta, cc + (((ldc) << 6)+((ldc) << 4)), ldc);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
