#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

#ifndef ATL_RESTRICT
#if defined(__STDC_VERSION__) && (__STDC_VERSION__/100 >= 1999)
   #define ATL_RESTRICT restrict
#else
   #define ATL_RESTRICT
#endif
#endif
#include "atlas_prefetch.h"

static void ATL_zJIK48x0x48TN2x1x48_a1_b0
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=T, TB=N, MB=48, NB=0, KB=48, 
 * lda=48, ldb=48, ldc=0, mu=2, nu=1, ku=48, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   #define Nb N
   const double *stM = A + 2304;
   const double *stN = B + (((Nb) << 5)+((Nb) << 4));
   const double *pfA = stM;
   const int incPFA0 = (((int)(stM - A))*2*1)/(48*N*sizeof(double));
   const int incPFA = (1 > incPFA0) ? 1 : incPFA0;
   #define incAk 48
   const int incAm = 48, incAn = -2304;
   #define incBk 48
   const int incBm = -48, incBn = 48;
   #define incCm 4
   const int incCn = (((ldc) << 1)) - 96;
   double *pC0=C;
   const double *pA0=A;
   const double *pB0=B;
   register int k;
   register double rA0, rA1;
   register double rB0;
   register double rC0_0, rC1_0;
   do /* N-loop */
   {
      do /* M-loop */
      {
         ATL_pfl1R(pfA);
         pfA += incPFA;
/*
 *       Feeble prefetch of C
 */
         rC0_0 = *pC0;
         ATL_pfl1W(pC0);
         rA0 = *pA0;
         rB0 = *pB0;
         rA1 = pA0[48];
         rC0_0 = rA0 * rB0;
         rC1_0 = rA1 * rB0;
         rA0 = pA0[1];
         rB0 = pB0[1];
         rA1 = pA0[49];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[2];
         rB0 = pB0[2];
         rA1 = pA0[50];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[3];
         rB0 = pB0[3];
         rA1 = pA0[51];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[4];
         rB0 = pB0[4];
         rA1 = pA0[52];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[5];
         rB0 = pB0[5];
         rA1 = pA0[53];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[6];
         rB0 = pB0[6];
         rA1 = pA0[54];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[7];
         rB0 = pB0[7];
         rA1 = pA0[55];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[8];
         rB0 = pB0[8];
         rA1 = pA0[56];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[9];
         rB0 = pB0[9];
         rA1 = pA0[57];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[10];
         rB0 = pB0[10];
         rA1 = pA0[58];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[11];
         rB0 = pB0[11];
         rA1 = pA0[59];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[12];
         rB0 = pB0[12];
         rA1 = pA0[60];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[13];
         rB0 = pB0[13];
         rA1 = pA0[61];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[14];
         rB0 = pB0[14];
         rA1 = pA0[62];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[15];
         rB0 = pB0[15];
         rA1 = pA0[63];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[16];
         rB0 = pB0[16];
         rA1 = pA0[64];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[17];
         rB0 = pB0[17];
         rA1 = pA0[65];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[18];
         rB0 = pB0[18];
         rA1 = pA0[66];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[19];
         rB0 = pB0[19];
         rA1 = pA0[67];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[20];
         rB0 = pB0[20];
         rA1 = pA0[68];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[21];
         rB0 = pB0[21];
         rA1 = pA0[69];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[22];
         rB0 = pB0[22];
         rA1 = pA0[70];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[23];
         rB0 = pB0[23];
         rA1 = pA0[71];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[24];
         rB0 = pB0[24];
         rA1 = pA0[72];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[25];
         rB0 = pB0[25];
         rA1 = pA0[73];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[26];
         rB0 = pB0[26];
         rA1 = pA0[74];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[27];
         rB0 = pB0[27];
         rA1 = pA0[75];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[28];
         rB0 = pB0[28];
         rA1 = pA0[76];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[29];
         rB0 = pB0[29];
         rA1 = pA0[77];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[30];
         rB0 = pB0[30];
         rA1 = pA0[78];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[31];
         rB0 = pB0[31];
         rA1 = pA0[79];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[32];
         rB0 = pB0[32];
         rA1 = pA0[80];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[33];
         rB0 = pB0[33];
         rA1 = pA0[81];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[34];
         rB0 = pB0[34];
         rA1 = pA0[82];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[35];
         rB0 = pB0[35];
         rA1 = pA0[83];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[36];
         rB0 = pB0[36];
         rA1 = pA0[84];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[37];
         rB0 = pB0[37];
         rA1 = pA0[85];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[38];
         rB0 = pB0[38];
         rA1 = pA0[86];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[39];
         rB0 = pB0[39];
         rA1 = pA0[87];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[40];
         rB0 = pB0[40];
         rA1 = pA0[88];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[41];
         rB0 = pB0[41];
         rA1 = pA0[89];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[42];
         rB0 = pB0[42];
         rA1 = pA0[90];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[43];
         rB0 = pB0[43];
         rA1 = pA0[91];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[44];
         rB0 = pB0[44];
         rA1 = pA0[92];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[45];
         rB0 = pB0[45];
         rA1 = pA0[93];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[46];
         rB0 = pB0[46];
         rA1 = pA0[94];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         rA0 = pA0[47];
         rB0 = pB0[47];
         rA1 = pA0[95];
         rC0_0 += rA0 * rB0;
         rC1_0 += rA1 * rB0;
         pA0 += incAk;
         pB0 += incBk;
         *pC0 = rC0_0;
         pC0[2] = rC1_0;
         pC0 += incCm;
         pA0 += incAm;
         pB0 += incBm;
      }
      while(pA0 != stM);
      pC0 += incCn;
      pA0 += incAn;
      pB0 += incBn;
   }
   while(pB0 != stN);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
void ATL_zJIK48x0x48TN48x48x0_a1_b0
   (const int M, const int N, const int K, const double alpha, const double * ATL_RESTRICT A, const int lda, const double * ATL_RESTRICT B, const int ldb, const double beta, double * ATL_RESTRICT C, const int ldc)
/*
 * matmul with TA=T, TB=N, MB=48, NB=0, KB=48, 
 * lda=48, ldb=48, ldc=0, mu=2, nu=10, ku=48, pf=513
 * Generated by ATLAS/tune/blas/gemm/emit_mm.c (3.8.3)
 */
{
   const int Nb = (N/10)*10;
   const double *ca=A, *cb=B;
   double *cc=C;
   const double *stM = A + 2304;
   const double *stN = B + (((Nb) << 5)+((Nb) << 4));
   const double *pfA = stM;
   const int incPFA0 = (((int)(stM - A))*2*10)/(48*N*sizeof(double));
   const int incPFA = (1 > incPFA0) ? 1 : incPFA0;
   #define incAk 48
   const int incAm = 48, incAn = -2304;
   #define incBk 48
   const int incBm = -48, incBn = 480;
   #define incCm 4
   const int incCn = (((ldc) << 4)+((ldc) << 2)) - 96;
   double *pC0=C, *pC1=pC0+(((ldc) << 1)), *pC2=pC1+(((ldc) << 1)), *pC3=pC2+(((ldc) << 1)), *pC4=pC3+(((ldc) << 1)), *pC5=pC4+(((ldc) << 1)), *pC6=pC5+(((ldc) << 1)), *pC7=pC6+(((ldc) << 1)), *pC8=pC7+(((ldc) << 1)), *pC9=pC8+(((ldc) << 1));
   const double *pA0=A;
   const double *pB0=B;
   register int k;
   register double rA0, rA1;
   register double rB0, rB1, rB2, rB3, rB4, rB5, rB6, rB7, rB8, rB9;
   register double rC0_0, rC1_0, rC0_1, rC1_1, rC0_2, rC1_2, rC0_3, rC1_3, rC0_4, rC1_4, rC0_5, rC1_5, rC0_6, rC1_6, rC0_7, rC1_7, rC0_8, rC1_8, rC0_9, rC1_9;
   if (pB0 != stN)
   {
      do /* N-loop */
      {
         do /* M-loop */
         {
            ATL_pfl1R(pfA);
            ATL_pfl1R(pfA+ATL_L1LS);
            pfA += incPFA;
/*
 *          Feeble prefetch of C
 */
            rC0_0 = *pC0;
            rC0_1 = *pC1;
            rC0_2 = *pC2;
            rC0_3 = *pC3;
            rC0_4 = *pC4;
            rC0_5 = *pC5;
            rC0_6 = *pC6;
            rC0_7 = *pC7;
            rC0_8 = *pC8;
            rC0_9 = *pC9;
            ATL_pfl1W(pC0);
            ATL_pfl1W(pC1);
            ATL_pfl1W(pC2);
            ATL_pfl1W(pC3);
            ATL_pfl1W(pC4);
            ATL_pfl1W(pC5);
            ATL_pfl1W(pC6);
            ATL_pfl1W(pC7);
            ATL_pfl1W(pC8);
            ATL_pfl1W(pC9);
            rA0 = *pA0;
            rB0 = *pB0;
            rA1 = pA0[48];
            rB1 = pB0[48];
            rB2 = pB0[96];
            rB3 = pB0[144];
            rB4 = pB0[192];
            rB5 = pB0[240];
            rB6 = pB0[288];
            rB7 = pB0[336];
            rB8 = pB0[384];
            rC0_0 = rA0 * rB0;
            rB9 = pB0[432];
            rC1_0 = rA1 * rB0;
            rC0_1 = rA0 * rB1;
            rC1_1 = rA1 * rB1;
            rC0_2 = rA0 * rB2;
            rC1_2 = rA1 * rB2;
            rC0_3 = rA0 * rB3;
            rC1_3 = rA1 * rB3;
            rC0_4 = rA0 * rB4;
            rC1_4 = rA1 * rB4;
            rC0_5 = rA0 * rB5;
            rC1_5 = rA1 * rB5;
            rC0_6 = rA0 * rB6;
            rC1_6 = rA1 * rB6;
            rC0_7 = rA0 * rB7;
            rC1_7 = rA1 * rB7;
            rC0_8 = rA0 * rB8;
            rC1_8 = rA1 * rB8;
            rC0_9 = rA0 * rB9;
            rC1_9 = rA1 * rB9;
            rA0 = pA0[1];
            rB0 = pB0[1];
            rA1 = pA0[49];
            rB1 = pB0[49];
            rB2 = pB0[97];
            rB3 = pB0[145];
            rB4 = pB0[193];
            rB5 = pB0[241];
            rB6 = pB0[289];
            rB7 = pB0[337];
            rB8 = pB0[385];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[433];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[2];
            rB0 = pB0[2];
            rA1 = pA0[50];
            rB1 = pB0[50];
            rB2 = pB0[98];
            rB3 = pB0[146];
            rB4 = pB0[194];
            rB5 = pB0[242];
            rB6 = pB0[290];
            rB7 = pB0[338];
            rB8 = pB0[386];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[434];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[3];
            rB0 = pB0[3];
            rA1 = pA0[51];
            rB1 = pB0[51];
            rB2 = pB0[99];
            rB3 = pB0[147];
            rB4 = pB0[195];
            rB5 = pB0[243];
            rB6 = pB0[291];
            rB7 = pB0[339];
            rB8 = pB0[387];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[435];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[4];
            rB0 = pB0[4];
            rA1 = pA0[52];
            rB1 = pB0[52];
            rB2 = pB0[100];
            rB3 = pB0[148];
            rB4 = pB0[196];
            rB5 = pB0[244];
            rB6 = pB0[292];
            rB7 = pB0[340];
            rB8 = pB0[388];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[436];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[5];
            rB0 = pB0[5];
            rA1 = pA0[53];
            rB1 = pB0[53];
            rB2 = pB0[101];
            rB3 = pB0[149];
            rB4 = pB0[197];
            rB5 = pB0[245];
            rB6 = pB0[293];
            rB7 = pB0[341];
            rB8 = pB0[389];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[437];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[6];
            rB0 = pB0[6];
            rA1 = pA0[54];
            rB1 = pB0[54];
            rB2 = pB0[102];
            rB3 = pB0[150];
            rB4 = pB0[198];
            rB5 = pB0[246];
            rB6 = pB0[294];
            rB7 = pB0[342];
            rB8 = pB0[390];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[438];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[7];
            rB0 = pB0[7];
            rA1 = pA0[55];
            rB1 = pB0[55];
            rB2 = pB0[103];
            rB3 = pB0[151];
            rB4 = pB0[199];
            rB5 = pB0[247];
            rB6 = pB0[295];
            rB7 = pB0[343];
            rB8 = pB0[391];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[439];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[8];
            rB0 = pB0[8];
            rA1 = pA0[56];
            rB1 = pB0[56];
            rB2 = pB0[104];
            rB3 = pB0[152];
            rB4 = pB0[200];
            rB5 = pB0[248];
            rB6 = pB0[296];
            rB7 = pB0[344];
            rB8 = pB0[392];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[440];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[9];
            rB0 = pB0[9];
            rA1 = pA0[57];
            rB1 = pB0[57];
            rB2 = pB0[105];
            rB3 = pB0[153];
            rB4 = pB0[201];
            rB5 = pB0[249];
            rB6 = pB0[297];
            rB7 = pB0[345];
            rB8 = pB0[393];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[441];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[10];
            rB0 = pB0[10];
            rA1 = pA0[58];
            rB1 = pB0[58];
            rB2 = pB0[106];
            rB3 = pB0[154];
            rB4 = pB0[202];
            rB5 = pB0[250];
            rB6 = pB0[298];
            rB7 = pB0[346];
            rB8 = pB0[394];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[442];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[11];
            rB0 = pB0[11];
            rA1 = pA0[59];
            rB1 = pB0[59];
            rB2 = pB0[107];
            rB3 = pB0[155];
            rB4 = pB0[203];
            rB5 = pB0[251];
            rB6 = pB0[299];
            rB7 = pB0[347];
            rB8 = pB0[395];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[443];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[12];
            rB0 = pB0[12];
            rA1 = pA0[60];
            rB1 = pB0[60];
            rB2 = pB0[108];
            rB3 = pB0[156];
            rB4 = pB0[204];
            rB5 = pB0[252];
            rB6 = pB0[300];
            rB7 = pB0[348];
            rB8 = pB0[396];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[444];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[13];
            rB0 = pB0[13];
            rA1 = pA0[61];
            rB1 = pB0[61];
            rB2 = pB0[109];
            rB3 = pB0[157];
            rB4 = pB0[205];
            rB5 = pB0[253];
            rB6 = pB0[301];
            rB7 = pB0[349];
            rB8 = pB0[397];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[445];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[14];
            rB0 = pB0[14];
            rA1 = pA0[62];
            rB1 = pB0[62];
            rB2 = pB0[110];
            rB3 = pB0[158];
            rB4 = pB0[206];
            rB5 = pB0[254];
            rB6 = pB0[302];
            rB7 = pB0[350];
            rB8 = pB0[398];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[446];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[15];
            rB0 = pB0[15];
            rA1 = pA0[63];
            rB1 = pB0[63];
            rB2 = pB0[111];
            rB3 = pB0[159];
            rB4 = pB0[207];
            rB5 = pB0[255];
            rB6 = pB0[303];
            rB7 = pB0[351];
            rB8 = pB0[399];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[447];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[16];
            rB0 = pB0[16];
            rA1 = pA0[64];
            rB1 = pB0[64];
            rB2 = pB0[112];
            rB3 = pB0[160];
            rB4 = pB0[208];
            rB5 = pB0[256];
            rB6 = pB0[304];
            rB7 = pB0[352];
            rB8 = pB0[400];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[448];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[17];
            rB0 = pB0[17];
            rA1 = pA0[65];
            rB1 = pB0[65];
            rB2 = pB0[113];
            rB3 = pB0[161];
            rB4 = pB0[209];
            rB5 = pB0[257];
            rB6 = pB0[305];
            rB7 = pB0[353];
            rB8 = pB0[401];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[449];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[18];
            rB0 = pB0[18];
            rA1 = pA0[66];
            rB1 = pB0[66];
            rB2 = pB0[114];
            rB3 = pB0[162];
            rB4 = pB0[210];
            rB5 = pB0[258];
            rB6 = pB0[306];
            rB7 = pB0[354];
            rB8 = pB0[402];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[450];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[19];
            rB0 = pB0[19];
            rA1 = pA0[67];
            rB1 = pB0[67];
            rB2 = pB0[115];
            rB3 = pB0[163];
            rB4 = pB0[211];
            rB5 = pB0[259];
            rB6 = pB0[307];
            rB7 = pB0[355];
            rB8 = pB0[403];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[451];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[20];
            rB0 = pB0[20];
            rA1 = pA0[68];
            rB1 = pB0[68];
            rB2 = pB0[116];
            rB3 = pB0[164];
            rB4 = pB0[212];
            rB5 = pB0[260];
            rB6 = pB0[308];
            rB7 = pB0[356];
            rB8 = pB0[404];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[452];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[21];
            rB0 = pB0[21];
            rA1 = pA0[69];
            rB1 = pB0[69];
            rB2 = pB0[117];
            rB3 = pB0[165];
            rB4 = pB0[213];
            rB5 = pB0[261];
            rB6 = pB0[309];
            rB7 = pB0[357];
            rB8 = pB0[405];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[453];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[22];
            rB0 = pB0[22];
            rA1 = pA0[70];
            rB1 = pB0[70];
            rB2 = pB0[118];
            rB3 = pB0[166];
            rB4 = pB0[214];
            rB5 = pB0[262];
            rB6 = pB0[310];
            rB7 = pB0[358];
            rB8 = pB0[406];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[454];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[23];
            rB0 = pB0[23];
            rA1 = pA0[71];
            rB1 = pB0[71];
            rB2 = pB0[119];
            rB3 = pB0[167];
            rB4 = pB0[215];
            rB5 = pB0[263];
            rB6 = pB0[311];
            rB7 = pB0[359];
            rB8 = pB0[407];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[455];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[24];
            rB0 = pB0[24];
            rA1 = pA0[72];
            rB1 = pB0[72];
            rB2 = pB0[120];
            rB3 = pB0[168];
            rB4 = pB0[216];
            rB5 = pB0[264];
            rB6 = pB0[312];
            rB7 = pB0[360];
            rB8 = pB0[408];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[456];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[25];
            rB0 = pB0[25];
            rA1 = pA0[73];
            rB1 = pB0[73];
            rB2 = pB0[121];
            rB3 = pB0[169];
            rB4 = pB0[217];
            rB5 = pB0[265];
            rB6 = pB0[313];
            rB7 = pB0[361];
            rB8 = pB0[409];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[457];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[26];
            rB0 = pB0[26];
            rA1 = pA0[74];
            rB1 = pB0[74];
            rB2 = pB0[122];
            rB3 = pB0[170];
            rB4 = pB0[218];
            rB5 = pB0[266];
            rB6 = pB0[314];
            rB7 = pB0[362];
            rB8 = pB0[410];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[458];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[27];
            rB0 = pB0[27];
            rA1 = pA0[75];
            rB1 = pB0[75];
            rB2 = pB0[123];
            rB3 = pB0[171];
            rB4 = pB0[219];
            rB5 = pB0[267];
            rB6 = pB0[315];
            rB7 = pB0[363];
            rB8 = pB0[411];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[459];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[28];
            rB0 = pB0[28];
            rA1 = pA0[76];
            rB1 = pB0[76];
            rB2 = pB0[124];
            rB3 = pB0[172];
            rB4 = pB0[220];
            rB5 = pB0[268];
            rB6 = pB0[316];
            rB7 = pB0[364];
            rB8 = pB0[412];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[460];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[29];
            rB0 = pB0[29];
            rA1 = pA0[77];
            rB1 = pB0[77];
            rB2 = pB0[125];
            rB3 = pB0[173];
            rB4 = pB0[221];
            rB5 = pB0[269];
            rB6 = pB0[317];
            rB7 = pB0[365];
            rB8 = pB0[413];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[461];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[30];
            rB0 = pB0[30];
            rA1 = pA0[78];
            rB1 = pB0[78];
            rB2 = pB0[126];
            rB3 = pB0[174];
            rB4 = pB0[222];
            rB5 = pB0[270];
            rB6 = pB0[318];
            rB7 = pB0[366];
            rB8 = pB0[414];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[462];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[31];
            rB0 = pB0[31];
            rA1 = pA0[79];
            rB1 = pB0[79];
            rB2 = pB0[127];
            rB3 = pB0[175];
            rB4 = pB0[223];
            rB5 = pB0[271];
            rB6 = pB0[319];
            rB7 = pB0[367];
            rB8 = pB0[415];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[463];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[32];
            rB0 = pB0[32];
            rA1 = pA0[80];
            rB1 = pB0[80];
            rB2 = pB0[128];
            rB3 = pB0[176];
            rB4 = pB0[224];
            rB5 = pB0[272];
            rB6 = pB0[320];
            rB7 = pB0[368];
            rB8 = pB0[416];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[464];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[33];
            rB0 = pB0[33];
            rA1 = pA0[81];
            rB1 = pB0[81];
            rB2 = pB0[129];
            rB3 = pB0[177];
            rB4 = pB0[225];
            rB5 = pB0[273];
            rB6 = pB0[321];
            rB7 = pB0[369];
            rB8 = pB0[417];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[465];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[34];
            rB0 = pB0[34];
            rA1 = pA0[82];
            rB1 = pB0[82];
            rB2 = pB0[130];
            rB3 = pB0[178];
            rB4 = pB0[226];
            rB5 = pB0[274];
            rB6 = pB0[322];
            rB7 = pB0[370];
            rB8 = pB0[418];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[466];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[35];
            rB0 = pB0[35];
            rA1 = pA0[83];
            rB1 = pB0[83];
            rB2 = pB0[131];
            rB3 = pB0[179];
            rB4 = pB0[227];
            rB5 = pB0[275];
            rB6 = pB0[323];
            rB7 = pB0[371];
            rB8 = pB0[419];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[467];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[36];
            rB0 = pB0[36];
            rA1 = pA0[84];
            rB1 = pB0[84];
            rB2 = pB0[132];
            rB3 = pB0[180];
            rB4 = pB0[228];
            rB5 = pB0[276];
            rB6 = pB0[324];
            rB7 = pB0[372];
            rB8 = pB0[420];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[468];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[37];
            rB0 = pB0[37];
            rA1 = pA0[85];
            rB1 = pB0[85];
            rB2 = pB0[133];
            rB3 = pB0[181];
            rB4 = pB0[229];
            rB5 = pB0[277];
            rB6 = pB0[325];
            rB7 = pB0[373];
            rB8 = pB0[421];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[469];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[38];
            rB0 = pB0[38];
            rA1 = pA0[86];
            rB1 = pB0[86];
            rB2 = pB0[134];
            rB3 = pB0[182];
            rB4 = pB0[230];
            rB5 = pB0[278];
            rB6 = pB0[326];
            rB7 = pB0[374];
            rB8 = pB0[422];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[470];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[39];
            rB0 = pB0[39];
            rA1 = pA0[87];
            rB1 = pB0[87];
            rB2 = pB0[135];
            rB3 = pB0[183];
            rB4 = pB0[231];
            rB5 = pB0[279];
            rB6 = pB0[327];
            rB7 = pB0[375];
            rB8 = pB0[423];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[471];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[40];
            rB0 = pB0[40];
            rA1 = pA0[88];
            rB1 = pB0[88];
            rB2 = pB0[136];
            rB3 = pB0[184];
            rB4 = pB0[232];
            rB5 = pB0[280];
            rB6 = pB0[328];
            rB7 = pB0[376];
            rB8 = pB0[424];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[472];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[41];
            rB0 = pB0[41];
            rA1 = pA0[89];
            rB1 = pB0[89];
            rB2 = pB0[137];
            rB3 = pB0[185];
            rB4 = pB0[233];
            rB5 = pB0[281];
            rB6 = pB0[329];
            rB7 = pB0[377];
            rB8 = pB0[425];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[473];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[42];
            rB0 = pB0[42];
            rA1 = pA0[90];
            rB1 = pB0[90];
            rB2 = pB0[138];
            rB3 = pB0[186];
            rB4 = pB0[234];
            rB5 = pB0[282];
            rB6 = pB0[330];
            rB7 = pB0[378];
            rB8 = pB0[426];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[474];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[43];
            rB0 = pB0[43];
            rA1 = pA0[91];
            rB1 = pB0[91];
            rB2 = pB0[139];
            rB3 = pB0[187];
            rB4 = pB0[235];
            rB5 = pB0[283];
            rB6 = pB0[331];
            rB7 = pB0[379];
            rB8 = pB0[427];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[475];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[44];
            rB0 = pB0[44];
            rA1 = pA0[92];
            rB1 = pB0[92];
            rB2 = pB0[140];
            rB3 = pB0[188];
            rB4 = pB0[236];
            rB5 = pB0[284];
            rB6 = pB0[332];
            rB7 = pB0[380];
            rB8 = pB0[428];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[476];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[45];
            rB0 = pB0[45];
            rA1 = pA0[93];
            rB1 = pB0[93];
            rB2 = pB0[141];
            rB3 = pB0[189];
            rB4 = pB0[237];
            rB5 = pB0[285];
            rB6 = pB0[333];
            rB7 = pB0[381];
            rB8 = pB0[429];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[477];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[46];
            rB0 = pB0[46];
            rA1 = pA0[94];
            rB1 = pB0[94];
            rB2 = pB0[142];
            rB3 = pB0[190];
            rB4 = pB0[238];
            rB5 = pB0[286];
            rB6 = pB0[334];
            rB7 = pB0[382];
            rB8 = pB0[430];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[478];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            rA0 = pA0[47];
            rB0 = pB0[47];
            rA1 = pA0[95];
            rB1 = pB0[95];
            rB2 = pB0[143];
            rB3 = pB0[191];
            rB4 = pB0[239];
            rB5 = pB0[287];
            rB6 = pB0[335];
            rB7 = pB0[383];
            rB8 = pB0[431];
            rC0_0 += rA0 * rB0;
            rB9 = pB0[479];
            rC1_0 += rA1 * rB0;
            rC0_1 += rA0 * rB1;
            rC1_1 += rA1 * rB1;
            rC0_2 += rA0 * rB2;
            rC1_2 += rA1 * rB2;
            rC0_3 += rA0 * rB3;
            rC1_3 += rA1 * rB3;
            rC0_4 += rA0 * rB4;
            rC1_4 += rA1 * rB4;
            rC0_5 += rA0 * rB5;
            rC1_5 += rA1 * rB5;
            rC0_6 += rA0 * rB6;
            rC1_6 += rA1 * rB6;
            rC0_7 += rA0 * rB7;
            rC1_7 += rA1 * rB7;
            rC0_8 += rA0 * rB8;
            rC1_8 += rA1 * rB8;
            rC0_9 += rA0 * rB9;
            rC1_9 += rA1 * rB9;
            pA0 += incAk;
            pB0 += incBk;
            *pC0 = rC0_0;
            pC0[2] = rC1_0;
            *pC1 = rC0_1;
            pC1[2] = rC1_1;
            *pC2 = rC0_2;
            pC2[2] = rC1_2;
            *pC3 = rC0_3;
            pC3[2] = rC1_3;
            *pC4 = rC0_4;
            pC4[2] = rC1_4;
            *pC5 = rC0_5;
            pC5[2] = rC1_5;
            *pC6 = rC0_6;
            pC6[2] = rC1_6;
            *pC7 = rC0_7;
            pC7[2] = rC1_7;
            *pC8 = rC0_8;
            pC8[2] = rC1_8;
            *pC9 = rC0_9;
            pC9[2] = rC1_9;
            pC0 += incCm;
            pC1 += incCm;
            pC2 += incCm;
            pC3 += incCm;
            pC4 += incCm;
            pC5 += incCm;
            pC6 += incCm;
            pC7 += incCm;
            pC8 += incCm;
            pC9 += incCm;
            pA0 += incAm;
            pB0 += incBm;
         }
         while(pA0 != stM);
         pC0 += incCn;
         pC1 += incCn;
         pC2 += incCn;
         pC3 += incCn;
         pC4 += incCn;
         pC5 += incCn;
         pC6 += incCn;
         pC7 += incCn;
         pC8 += incCn;
         pC9 += incCn;
         pA0 += incAn;
         pB0 += incBn;
      }
      while(pB0 != stN);
   }
   if (k=N-Nb)
      ATL_zJIK48x0x48TN2x1x48_a1_b0(48, k, 48, alpha, ca, lda, cb + (((Nb) << 5)+((Nb) << 4)), ldb, beta, cc + (((Nb*ldc) << 1)), ldc);
}
#ifdef incAm
   #undef incAm
#endif
#ifdef incAn
   #undef incAn
#endif
#ifdef incAk
   #undef incAk
#endif
#ifdef incBm
   #undef incBm
#endif
#ifdef incBn
   #undef incBn
#endif
#ifdef incBk
   #undef incBk
#endif
#ifdef incCm
   #undef incCm
#endif
#ifdef incCn
   #undef incCn
#endif
#ifdef incCk
   #undef incCk
#endif
#ifdef Mb
   #undef Mb
#endif
#ifdef Nb
   #undef Nb
#endif
#ifdef Kb
   #undef Kb
#endif
#ifdef ATL_UCLEANN
#define ATL_zpNBmm_b0 ATL_zgpNBmm_b0
#endif

void ATL_zJIK48x0x48TN48x48x0_a1_b0(const int M, const int N, const int K, const double alpha, const double *A, const int lda, const double *B, const int ldb, const double beta, double *C, const int ldc);
void ATL_zJIK48x0x48TN48x48x0_a1_bX(const int M, const int N, const int K, const double alpha, const double *A, const int lda, const double *B, const int ldb, const double beta, double *C, const int ldc);
void ATL_zJIK48x0x48TN48x48x0_a1_b1(const int M, const int N, const int K, const double alpha, const double *A, const int lda, const double *B, const int ldb, const double beta, double *C, const int ldc);

void ATL_zpNBmm_b0(const int M, const int N, const int K, const double alpha, const double *A, const int lda, const double *B, const int ldb, const double beta, double *C, const int ldc)
{
   ATL_zJIK48x0x48TN48x48x0_a1_b0(M, N, K, alpha, A, lda, B, ldb, -beta, C, ldc);
   ATL_zJIK48x0x48TN48x48x0_a1_b0(M, N, K, alpha, A, lda, B+N*ldb, ldb, beta, C+1, ldc);
   ATL_zJIK48x0x48TN48x48x0_a1_bX(M, N, K, alpha, A+M*lda, lda, B+N*ldb, ldb, -1.0, C, ldc);
   ATL_zJIK48x0x48TN48x48x0_a1_b1(M, N, K, alpha, A+M*lda, lda, B, ldb, 1.0, C+1, ldc);
}
